Bug 988433 - RFE tuned: show available profiles when calling tuned-adm profile
RFE tuned: show available profiles when calling tuned-adm profile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 11:13 EDT by Stefan Assmann
Modified: 2017-10-30 05:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-30 05:50:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2013-07-25 11:13:52 EDT
Description of problem:

How about scratching the
# tuned-adm list
Available profiles:
- balanced
- latency-performance
- powersave
- throughput-performance
- virtual-guest
- virtual-host
Current active profile: powersave

and have that functionality as
# tuned-adm profile
Available profiles:
- balanced
- latency-performance
- powersave
- throughput-performance
- virtual-guest
- virtual-host
Current active profile: powersave

That way the user can use
# tuned-adm profile
to get a list of profiles and the current active profile and just add the profile name to switch profiles.

# tuned-adm list
could be removed or kept for backwards compatibility.
Comment 1 Jaroslav Škarvada 2013-11-06 10:55:01 EST
Moving to rawhide.
Comment 2 Jaroslav Škarvada 2017-04-26 11:56:00 EDT
Upstreamed:
https://github.com/redhat-performance/tuned/pull/39

Closing as post, it will appear in next Tuned version (probably 2.8.1 or newer)
Comment 3 Fedora Update System 2017-10-13 10:20:03 EDT
tuned-2.9.0-0.1.rc1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9c6b990df
Comment 4 Fedora Update System 2017-10-13 18:24:54 EDT
tuned-2.9.0-0.1.rc1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9c6b990df
Comment 5 Fedora Update System 2017-10-13 19:24:44 EDT
tuned-2.9.0-0.1.rc1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f0849d207
Comment 6 Fedora Update System 2017-10-29 17:06:23 EDT
tuned-2.9.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e45ce4685
Comment 7 Fedora Update System 2017-10-29 17:12:31 EDT
tuned-2.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c30e9bd1ea

Note You need to log in before you can comment on or make changes to this bug.